Package org.apache.sysds.runtime.ooc.cache

# Class GroupedBlockKey

java.lang.Object
org.apache.sysds.runtime.ooc.cache.BlockKey
org.apache.sysds.runtime.ooc.cache.GroupedBlockKey

All Implemented Interfaces:
  `Comparable<BlockKey>`

public class GroupedBlockKey extends BlockKey

## Constructor Summary

Constructors
Constructor
Description
`GroupedBlockKey(long streamId, int blockId, int groupIndex)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getGroupIndex()`

### Methods inherited from class org.apache.sysds.runtime.ooc.cache.BlockKey

`compareTo, equals, getSequenceNumber, getStreamId, hashCode, toFileKey, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GroupedBlockKey

public GroupedBlockKey(long streamId, int blockId, int groupIndex)

## Method Details

### getGroupIndex

public int getGroupIndex()